const Router = require('express')
const router = new Router()

const requestController = require('../controllers/request.controller')

router.post('/request', requestController.createRequest)
router.post('/request/manual', requestController.createRequestWithId)
router.get('/request', requestController.getRequests)
router.get('/request/:id', requestController.getOneRequest)
router.put('/request', requestController.updateRequest)
router.delete('/request/:id', requestController.deleteRequest)
router.get('/request/abitur/:id', requestController.getAbiturRequests)
router.get('/request/spec/:id', requestController.getCountBySpec)

module.exports = router