const Router = require('express')
const router = new Router()

const specializationController = require('../controllers/specialization.controller')

router.post('/specialization', specializationController.createSpecialization)
router.get('/specialization', specializationController.getSpecializations)
router.get('/specialization/:id', specializationController.getOneSpecialization)
router.put('/specialization', specializationController.updateSpecialization)
router.delete('/specialization/:id', specializationController.deleteSpecialization)

module.exports = router