const Router = require('express')
const router = new Router()

const abiturController = require('../controllers/abitur.controller')

router.post('/abitur', abiturController.createAbitur)
router.post('/abitur/manual', abiturController.createAbiturWithId)
router.get('/abitur', abiturController.getAbiturs)
router.get('/abitur/:id', abiturController.getOneAbitur)
router.post('/abitur/auth/', abiturController.authAbitur)
router.put('/abitur', abiturController.updateAbitur)
router.delete('/abitur/:id', abiturController.deleteAbitur)
router.delete('/abitur', abiturController.deleteAll)

module.exports = router