const Router = require('express')
const router = new Router()

const educationformController = require('../controllers/educationform.controller')

router.post('/educationform', educationformController.createEducationForm)
router.get('/educationform', educationformController.getEducationForms)
router.get('/educationform/:id', educationformController.getOneEducationForm)
router.put('/educationform', educationformController.updateEducationForm)
router.delete('/educationform/:id', educationformController.deleteEducationForm)

module.exports = router