const Router = require('express')
const router = new Router()

const enrollmentController = require('../controllers/enrollment.controller')

router.post('/enrollment', enrollmentController.createEnrollment)
router.get('/enrollment', enrollmentController.getEnrollments)
router.get('/enrollment/:id', enrollmentController.getOneEnrollment)
router.put('/enrollment', enrollmentController.updateEnrollment)
router.delete('/enrollment/:id', enrollmentController.deleteEnrollment)

module.exports = router